# create-node-ts-esm-jest

This is a project scaffolding tool that sets up a basic ESM NodeJS project with TypeScript, Jest and ESLint. Includes top-level await and automatic test running.

## Getting Started

To create a new project using `create-node-ts-esm-jest`, run the following command:

```bash
npx create-node-ts-esm-jest <project-name>
```

Replace `<project-name>` with the desired directory name for your new project.

### What Happens Next?

This command creates a new directory named `<project-name>` in your current working directory. Inside, you'll find a ready-to-go project setup with TypeScript and ESM, including configured eslint, jest for testing, and a sample `src/index.ts` and `__tests__/index.test.ts`.

### Next Steps

After installing dependencies you'll be ready to build your app.

1. Navigate into your project directory:
   ```bash
   cd <project-name>
   ```
2. Install dependencies:
   ```bash
   npm install
   ```
3. Run the development server (if applicable):
   ```bash
   npm run dev
   ```
4. Happy coding! Begin developing your project by editing `src/index.ts`.

## Contributing

If you'd like to contribute to the project, please fork the repository and use a feature branch. Pull requests are warmly welcome.

## Licensing

The code in this project is licensed under MIT license.
